$schema: "http://json-schema.org/draft-06/schema#"

title: compute alpha NetworkInterfaceSubInterface export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  ipAddress:
    description: |-
      An IPv4 internal IP address to assign to the instance for this
      subinterface.
    type: string
  subnetwork:
    description: |-
      If specified, this subnetwork must belong to the same network as that of
      the network interface. If not specified the subnet of network interface
      will be used. If you specify this property, you can specify the subnetwork
      as a full or partial URL. For example, the following are all valid URLs:
      - https://www.googleapis.com/compute/v1/projects/proje
      ct/regions/region/subnetworks/subnetwork  -
      regions/region/subnetworks/subnetwork
    type: string
  vlan:
    description: |-
      VLAN tag. Should match the VLAN(s) supported by the subnetwork to which
      this subinterface is connecting.
    type: integer
